Bug 641179 - Groups - Dynagroups: "Next Calculation Time" does not properly increment
Groups - Dynagroups: "Next Calculation Time" does not properly increment
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: gwt-groups jon3-sprint1 715334
  Show dependency treegraph
 
Reported: 2010-10-07 19:29 EDT by Corey Welton
Modified: 2013-09-02 03:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:25:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot showing incorrect "Next Calculation Time" (15.33 KB, image/png)
2010-10-07 19:34 EDT, Corey Welton
no flags Details

  None (edit)
Description Corey Welton 2010-10-07 19:29:02 EDT
Description of problem:
In the Dynagroup Manager view, the "Last Calculation Time" and "Next Calculation Time" are the same when a dynagroup has scheduled recalculations

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Create a new dynagroup ("CalcBug").  Use an expression like

resource.type.plugin = Platforms
resource.type.name = Linux

2.  Set the Calculation Interval to "1"; save
3.  Wait some time to guarantee that the recalc has taken place at least once
3.  Inventory > Dynagroup Manager.  View values for your "CalcBug" dynagroup
  
Actual results:
 "Last Calculation Time" and "Next Calculation Time" values are the same 

Expected results:
"Next Calculation Time" ought to be incremented by Calculation Interval or something.

Additional info:

See forthcoming attachment
Comment 1 Corey Welton 2010-10-07 19:34:55 EDT
Created attachment 452225 [details]
screenshot showing incorrect "Next Calculation Time"

If user keeps reloading page, it will be seen that the "Last calc" is continually updated -- and "next calc" is updated to the same.  i've never managed to catch it being any different than the "last calc".  Might be interesting to test and see if it happens in time periods longer than 1 min.
Comment 2 Corey Welton 2010-10-07 19:36:35 EDT
Likewise, if user changes it to a longer time period, it does not (at least immediately change) -- it remains the same as Last Calc
Comment 3 John Mazzitelli 2011-05-17 15:45:48 EDT
First, the time period you specify is in milliseconds. So providing a value of "1" would probably not be what you want - this could account for why the times look the same, because the time format isn't granular enough to see a 1ms time difference (its in the format of HH:MM:SS, so its only down to the second, not the millisecond).

Recently, the spinner for the time value is labeled to make it explicit the value is in ms and the spinner increments by 60000 (every 1 minute, in millis).

I just tried this and it looks like its working, the next time and last time columns appear correct.
Comment 4 Mike Foley 2011-05-24 10:55:36 EDT
verified.  time is in milliseconds ... and increments in 1 minute intervals correctly, e.g. 600000, 120000, ....   Last Calculation and Next Calculation values changed correctly.
Comment 5 Heiko W. Rupp 2013-09-02 03:25:20 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.